get file = "hl.sav".

select if (hl4 = 2 and hl5 ge 15 and hl5 le 49).

recode ED3A (1,2,3,4,5,6 = 2)  (7,8,9 =9) (else = 1) into educ.
miss val educ (9).

sort cases by hl5.

MATCH FILES /FILE=*
 /TABLE='Final Factors.sav'
 /BY HL5.
EXECUTE.

compute awfactt = awfactto.

if (hh6 = 1) awfactu = awfactur.
if (hh6 = 2) awfactu = awfactru.

if (educ=1) awfacte = awfactno.
if (educ=2) awfacte = awfactba.
if (educ ne 1 and educ ne 2) awfacte = 0.
recode awfacte (0=sysmis).

if (wlthind5 = 1) awfactw = awfactw1.
if (wlthind5 = 2) awfactw = awfactw2.
if (wlthind5 = 3) awfactw = awfactw3.
if (wlthind5 = 4) awfactw = awfactw4.
if (wlthind5 = 5) awfactw = awfactw5.

variable labels
awfactt	"All woman factors for total"
awfactu  "All woman factors for urban-rural"
awfacte  "All woman factors for education - none and basic+"
awfactw "All woman factors for wealth quintiles".

execute.

sort cases by hh1 hh2 hl1.

compute ln = hl1.
compute urbrur = hh6.
compute wealth = wlthind5.

save outfile = "Factors.sav" /keep hh1 hh2 ln awfactt awfactu awfacte awfactw.

get file = "wm.sav".

sort cases by hh1 hh2 ln.

MATCH FILES /FILE=*
 /TABLE='Factors.sav'
 /BY hh1 hh2 ln.
EXECUTE.

do if (wm7 ne 1).
recode awfactt awfactu awfacte awfactw (lo thru hi = sysmis).
end if.

save outfile = "wm with awfact.sav" /keep hh1 hh2 ln awfactt awfactu awfacte awfactw.




